#ifndef __MEMORY_H
#define __MEMORY_H

#define MAKE(type,ident) type*ident=(type*)xcalloc(sizeof(type))

#define MEMORY_CHECK
#ifdef MEMORY_CHECK
#include <stdlib.h>
void*xmalloc(size_t s);
void*xcalloc(size_t s);
void*xrealloc(void*,size_t s);
void xmark();
int xmem(void*);
int xcheck();
void xfree(void*p);
#else
#include <malloc.h>
#define xmalloc(s)	malloc(s)
#define xcalloc(s)	calloc(1,s)
#define xrealloc(p,s)	realloc((p),(s))
#define xmark()		
#define xmem(p)		(1)
#define xcheck()	(0)
#define xfree(p)	free(p)
#endif
#endif
